Bug 240781 - Please include the "dmi-id" patch in the fedora kernel
Summary: Please include the "dmi-id" patch in the fedora kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL: http://0pointer.de/public/dmi-id.patch
Whiteboard:
Keywords:
Depends On:
Blocks: 237767
TreeView+ depends on / blocked
 
Reported: 2007-05-21 16:42 UTC by Lennart Poettering
Modified: 2018-10-19 22:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-07 00:51:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lennart Poettering 2007-05-21 16:42:17 UTC
This patch adds dmi based module autoloading. useful for laptop modules, hwmon
modules, i2c modules, hdaps modules.

Full discussion here:

http://marc.info/?l=linux-kernel&m=117865525326783&w=2

This patch has been merged into gregkh's current tree. I guess that means that
it will show up in Linus' 2.6.23. It would be nice if this patch could be made
available in Fedora earlier.

The patch includes "modalias" lines only for my msi-laptop.c driver. To be
truely useful we'd need more lines in other laptop drivers as well.

Comment 1 Chuck Ebbert 2007-05-24 16:28:20 UTC
A memory corruption bug in that patch has already been found. Merging is
probably not a good idea at this time.


Comment 2 Dave Jones 2007-07-07 00:51:16 UTC
This got merged a few weeks back.
Please keep pushing to get it into .23

Thanks.

(Oh, and we should probably move over a few more things to start using this,
like acpi_asus)


Note You need to log in before you can comment on or make changes to this bug.